<?php

/**
 * @file
 * Drush commands for Zentropy.
 * 
 * Borrowed from Sasson
 * @link http://drupal.org/project/sasson
 */

/**
 * Implements of hook_drush_command().
 */
function zentropy_drush_command() {
  return array(
    'zentropy-new-subtheme' => array(
      'description' => 'Set up a new Zentropy base theme.',
      'aliases' => array('zns'),
      'arguments' => array(
        'name' => 'A name for your theme.',
        'machine_name' => '(optional)[a-z, 0-9] A machine-readable name for your theme.',
      ),
      'examples' => array(
        'example[1]' => 'drush zns "My theme name"',
        'example[2]' => 'drush zns "My theme name" "my_theme_alias"',
      ),
    ),
  );
}

/**
 * Implements hook_drush_help().
 */
function zentropy_drush_help($section) {
  switch ($section) {
    case 'drush:zentropy-new-subtheme':
      return dt("Set up a new Zentropy base theme.");
  }
}

/**
 * Drush Command: Set up a Zentropy base theme.
 * 
 * @see zentropy_drush_command().
 */
function drush_zentropy_new_subtheme($name = NULL, $machine_name = NULL) {
  if (empty($name)) {
    drush_print(dt("\nWe can't create a subtheme with no name. \nPlease provide a name for the subtheme.\nEx. drush zns [name]\n"));
    return;
  }
  
  // @TODO magic
}